curl --request GET \
--url https://{defaultHost}/v1/return_items/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/return_items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/return_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "05e5d622-a35c-44a8-bfc8-5b579d5b9d34",
"object": "return_item",
"note": null,
"return_reason": "wrong_item",
"return_reason_description": "Received the wrong item",
"quantity": 1,
"return_request": "0256536e-ec42-4a2a-ac67-f5eea669bcd0",
"line_item": "e072c922-31ff-4c41-aa74-28b105f3fb61",
"created_at": 1787228466,
"updated_at": 1787228466
}Retrieve
Retrieves details of a specific return item.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
A note to capture extra details about this return item. This is required when the return reason is other.
The reason for returning the item – one of color, defective, not_as_described, other, size_too_large, size_too_small, style, unknown, unwanted, or wrong_item. The list of these reasons can be fetched from the /return_reasons endpoint.
The quantity of products being returned. This must be less than or equal to the fulfilled quantity of the associated line item.
The full description of the return reason.
Expandable – The associated return request ID.
Expandable – The associated line item ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?